<!DOCTYPE html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
</head>

<body>
  <script
    src="https://www.paypal.com/sdk/js?client-id={{client_id}}&currency={{paypal_currency}}"> 
    // cambiar para que cliend-id sea el de settings, por ahora currency es USD
  </script>

  <div id="paypal-button-container" style="text-align: center;"></div>

  <script>
    paypal.Buttons({
      createOrder: function(data, actions) {
      // Set up the transaction
      return actions.order.create({
        purchase_units: [{
          amount: {
              value: '10.00'
          }
        }],
        // application_context: {
        //     return_url: 'https://606b18b5.ngrok.io',
        //     cancel_url: 'https://606b18b5.ngrok.io'
        //   }
      });
    },
    onApprove: function(data, actions) {
      // Capture the funds from the transaction
      return actions.order.capture().then(function(details) {
        // Show a success message to your buyer
        alert('Transaction completed by ' + details.payer.name.given_name);
        // Call your server to save the transaction
        return fetch('/paypal-transaction-complete/', {
          method: 'post',
          headers: {
            'content-type': 'application/json'
          },
          body: JSON.stringify({
            'order_id': data.orderID,
            'amount': '10.00',
            'customer_rut': '1'
          })
        }).then(function(res) {
          return res.json();
        }).then(function(details) {
          if (details.error === 'INSTRUMENT_DECLINED') {
            return actions.restart();
          }
        });
      });
    },
    onCancel: function (data) {
      alert('Transaction cancelled');
    },
    onError: function (err) {
      // Show an error page here, when an error occurs
      alert('Error');
    }
    }).render('#paypal-button-container');
  </script>
</body>

